GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::GraphEngine::PrecomputedReaction Struct Reference

## Public Attributes
size_t | reaction_index
std::vector< size_t > | unique_reactant_indices
std::vector< int > | reactant_powers
double | symmetry_factor
std::vector< size_t > | affected_species_indices
std::vector< int > | stoichiometric_coefficients
std::vector< size_t > | unique_product_indices
| Unique product indices for reverse reactions.
std::vector< int > | product_powers
| Powers of each unique product in the reverse reaction.
double | reverse_symmetry_factor
| Symmetry factor for reverse reactions.

## Member Data Documentation

## ◆ affected_species_indices

std::vector<size_t> gridfire::GraphEngine::PrecomputedReaction::affected_species_indices

## ◆ product_powers

std::vector<int> gridfire::GraphEngine::PrecomputedReaction::product_powers

Powers of each unique product in the reverse reaction.

## ◆ reactant_powers

std::vector<int> gridfire::GraphEngine::PrecomputedReaction::reactant_powers

## ◆ reaction_index

size_t gridfire::GraphEngine::PrecomputedReaction::reaction_index

## ◆ reverse_symmetry_factor

double gridfire::GraphEngine::PrecomputedReaction::reverse_symmetry_factor

Symmetry factor for reverse reactions.

## ◆ stoichiometric_coefficients

std::vector<int> gridfire::GraphEngine::PrecomputedReaction::stoichiometric_coefficients

## ◆ symmetry_factor

double gridfire::GraphEngine::PrecomputedReaction::symmetry_factor

## ◆ unique_product_indices

std::vector<size_t> gridfire::GraphEngine::PrecomputedReaction::unique_product_indices

Unique product indices for reverse reactions.

## ◆ unique_reactant_indices

std::vector<size_t> gridfire::GraphEngine::PrecomputedReaction::unique_reactant_indices

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/engine_graph.h